## plasma-widget-daisy 0.0.4.19

=== applet/CMakeLists.txt ===
# Project Needs a name ofcourse
project(daisy)

 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
# We add our source code here
set(daisy_SRCS src/daisy.cpp)
 
add_subdirectory(po)

# Now make sure all files get to the right place
kde4_add_ui_files( daisy_SRCS ui/mainConfiguration.ui ui/arrangementConfiguration.ui ui/hidingConfiguration.ui ui/appearanceConfiguration.ui 
ui/advancedConfiguration.ui ui/launcherConfiguration.ui )

kde4_add_plugin(plasma_applet_daisy ${daisy_SRCS})

target_link_libraries(plasma_applet_daisy 
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS} 
		      ${KDE4_KIO_LIBS} taskmanager )
 
install(TARGETS plasma_applet_daisy
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-daisy.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})


install(FILES images/circular-background.svgz 
images/dock-background-mach.svgz 
images/dock-background.svgz 
images/dock-background-cavalino-red.svgz 
images/dock-background-shiny-black.svgz 
images/dock-background-vidro.svgz 
images/dock-background-blueish.svgz 
images/dock-background-reddish.svgz 
images/dock-background-rubber-black.svgz 
images/dock-background-kiwi.svgz

images/tasks-indicators.svgz images/dock-animations.svgz 

DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

## plasma-widget-daisy 0.0.4.22a

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
 
 install(FILES images/circular-background.svgz 
 images/dock-background-mach.svgz 
+images/dock-background-mach-2.svgz 
 images/dock-background.svgz 
 images/dock-background-cavalino-red.svgz 
 images/dock-background-shiny-black.svgz

=== debian/changelog ===
plasma-widget-daisy (0.0.4.22a-0ubuntu2) lucid; urgency=low

  * Rebuild with new tarball

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 19 Feb 2010 10:38:56 -0500

plasma-widget-daisy (0.0.4.22-0ubuntu1) lucid; urgency=low

  [ Jonathan Raphael Joachim Kolberg ]
  * New upstream release (LP: #520363)
  * Corrected build deps
  * Switch to dpkg-source 3.0 (quilt) format

  [ Jonathan Thomas ]
  * Bump build-depend versions for pkg-kde-tools and debhelper for source
    format 3.0
  * Bump Standards-Version to 3.8.4, no changes

 -- Jonathan Raphael Joachim Kolberg <bulldog98@freenet.de>  Sun, 14 Feb 2010 09:00:54 +0100

plasma-widget-daisy (0.0.4.21-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:05 +0000

plasma-widget-daisy (0.0.4.21-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 Nov 2009 09:59:09 -0500

plasma-widget-daisy (0.0.4.21-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Add build-depend on libx11-dev
  * Transition from kde.mk to dh --with-kde:
    - debian/compat: Bump compat version to 7
    - debian/control: Bump debhelper depend version to 7
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Bump Standards-Version to 3.8.3
  * Update Maintainer to be the Ubuntu Developers
  * Update Homepage

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 20:37:39 -0500

plasma-widget-daisy (0.0.4.19-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 05 Jul 2009 21:41:05 -0400

plasma-widget-daisy (0.0.4.17-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Fri, 26 Jun 2009 10:24:21 -0400

plasma-widget-daisy (0.0.4.15-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #388680)
  * Fix debian/watch, upstream renamed to plasma-applet-daisy

 -- Christian Mangold <neversfelde@ubuntu.com>  Wed, 17 Jun 2009 23:14:45 +0200

plasma-widget-daisy (0.0.4.14-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #382865)
  * Add a watch file
  * debian/rules:
    - Use /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
    - Use /usr/share/cdbs/1/rules/debhelper.mk 

 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 02 Jun 2009 20:41:30 +0200

plasma-widget-daisy (0.0.4.8-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #371779)

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 04 May 2009 19:49:58 +0200

=== debian/control ===
Source: plasma-widget-daisy
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdebase-workspace-dev (>= 4:4.4.0),
 libx11-dev
Standards-Version: 3.8.4
Homepage: http://daisyplasma.freehostia.com/

Package: plasma-widget-daisy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple application launcher
 Customizable launcher and dock for plasma with included 
 media control features and trash plugin.
 More features are e.g.:
  - Option to configure background opacity
  - Option to configure it as a traditional dock
  - Drawer like menus for tasks
  - Drag and drop of objects
  - Auto hiding, when acting as a real panel

## plasma-widget-daisy 0.0.4.23

=== debian/changelog ===
plasma-widget-daisy (0.0.4.23-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release (LP: #602362)
  * Update watch file

 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 06 Jul 2010 19:20:10 +0200

plasma-widget-daisy (0.0.4.22a-0ubuntu3) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 25 May 2010 22:21:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
-Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdebase-workspace-dev (>= 4:4.4.0),
- libx11-dev
+Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
+ kdebase-workspace-dev (>= 4:4.4.0), libx11-dev
 Standards-Version: 3.8.4
 Homepage: http://daisyplasma.freehostia.com/

## plasma-widget-daisy 0.0.4.25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(applet)

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -39,14 +39,8 @@
 images/dock-background-mach.svgz 
 images/dock-background-mach-2.svgz 
 images/dock-background.svgz 
-images/dock-background-cavalino-red.svgz 
 images/dock-background-shiny-black.svgz 
 images/dock-background-vidro.svgz 
-images/dock-background-blueish.svgz 
-images/dock-background-reddish.svgz 
-images/dock-background-rubber-black.svgz 
-images/dock-background-kiwi.svgz
-
 images/tasks-indicators.svgz images/dock-animations.svgz 
 
 DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== applet/po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

if(NOT GETTEXT_MSGFMT_EXECUTABLE)
   message(FATAL_ERROR "Please install the msgfmt binary")
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

file(GLOB _po_files *.po)

set(_gmoFiles)

foreach(_current_PO_FILE ${_po_files})
   get_filename_component(_lang ${_current_PO_FILE} NAME_WE)
   set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_daisy.mo)
   list(APPEND _gmoFiles ${_gmoFile})
endforeach(_current_PO_FILE)

add_custom_target(pofiles ALL DEPENDS ${_gmoFiles})

=== debian/changelog ===
plasma-widget-daisy (0.0.4.25-1) unstable; urgency=low

  * Initial release. (Closes: #573031)

 -- Eshat Cakar <info@eshat.de>  Fri, 16 Sep 2011 10:48:07 +0200

=== debian/control ===
Source: plasma-widget-daisy
Section: kde
Priority: optional
Maintainer: Eshat Cakar <info@eshat.de>
Build-Depends: debhelper (>= 8.0.0),
 	       cmake,
	       kdelibs5-dev (>= 4:4.2.1),
	       kdebase-workspace-dev,
	       pkg-kde-tools(>= 0.7.0),
	       libx11-dev
Standards-Version: 3.9.2
Homepage: http://cdlszm.org
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/plasma-widget-daisy.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/plasma-widget-daisy.git

Package: plasma-widget-daisy
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}
Description: application launcher dock for KDE Plasma workspaces 
 Daisy is a simple Plasma/KDE application launcher.
 .
 Main features:
  - Three types of roles: circular dock, media controller and linear dock
  - Can dock in any screen position and be used in Horizontal or
    Vertical mode (linear dock role)  
  - Configuration tools to access all configurable options
  - Launchers can be edited with a simple right-click
  - Hybrid launchers to launch applications and control running tasks
  - Plugins to provide information and execute several tasks
  - Various backgrounds available

Package: plasma-widget-daisy-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-widget-daisy (= ${binary:Version}),
         ${misc:Depends}
Description: application launcher dock for KDE Plasma workspaces (debugging symbols)
 Daisy is a simple Plasma/KDE application launcher.
 .
 Main features:
  - Three types of roles: circular dock, media controller and linear dock
  - Can dock in any screen position and be used in Horizontal or
    Vertical mode (linear dock role)  
  - Configuration tools to access all configurable options
  - Launchers can be edited with a simple right-click
  - Hybrid launchers to launch applications and control running tasks
  - Plugins to provide information and execute several tasks
  - Various backgrounds available
 .
 This package contains the debugging symbols for plasma-widget-daisy.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_strip:
	dh_strip --dbg-package=plasma-widget-daisy-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/plasma-widget-daisy/

=== debian/watch ===
version=3
http://cdlszm.org/downloads/plasma-applet-daisy-(.+)\.tar\.gz
